# Command - About

- `/about` <!-- Shows some interesting stats about the bot. -->

# Command - avatars

- `/avatars {OPT:user}` <!-- Gives you a members avatar in different formats. -->

# Command - banmessage

- `/banmessage {OPT:message}` <!-- Sets a ban message to be sent to the greet channel when a member is banned. -->

# Command - cute

- `/cute {REQ:choice} {OPT:bomb}` <!-- Cute but not necessarily cat or dog related. -->

# Command - deletefiles

- `/deletefiles` <!-- Deletes posted Non-image/video/text files from server. -->

# Command - dump

- `/dump {OPT:role} {OPT:query}` <!-- Dumps all members of a specific role (defaults to all roles). -->

# Command - echo

- `/echo {REQ:message} {OPT:channel}` <!-- Makes the bot say something in the specific channel. -->

# Command - farewell

- `/farewell {REQ:message}` <!-- Sets a farewell message to be sent to the greet channel when a member leaves. -->

# Command - help

- `/help {OPT:command} {OPT:subcommand}` <!-- Shows Help Options for all cogs and commands. -->

# Command - joindm

- `/joindm {REQ:message}` <!-- Sets the message that will be sent in PMs to a member joining. -->

# Command - ping

- `/ping` <!-- Send pong. -->

# Command - poll

- `/poll {REQ:question}` <!-- Quick and easy yes/no poll, for multiple answers, see /quickpoll. -->

# Command - quickpoll

- `/quickpoll {REQ:question_and_choices}` <!-- Used to create a quickpoll for a question and its multiple choices. -->

# Command - roblox

- `/roblox play` <!-- Play Roblox on Browser. -->

# Command - shards

- `/shards` <!-- Shows information about each of the bot shards. -->

# Command - socketstat

- `/socketstat {OPT:limit}` <!-- Shows some really uninteresting stats for most people. -->

# Command - Stat

- `/stat {OPT:members} {OPT:global_}` <!-- Tells you command usage stats for the server of a member. -->

# Command - testgreet

- `/testgreet` <!-- Useful for making sure the welcome/farewell etc messages really work. -->

# Command - welcome

- `/welcome {REQ:message}` <!-- Sets a welcome message to be sent to the greet channel when a member joins. -->

-----

# Command Group - attachmentspam

- `/attachmentspam disable` <!-- Disable Attachmentspam. -->
- `/attachmentspam set {REQ:rate}` <!-- Set attachment settings for the server. -->
- `/attachmentspam punishment {OPT:punishment}` <!-- Sets the punishment(s) for hitting the rate limit. -->

# Command Group - autofeeds

- `/autofeeds list` <!-- Shows a list of autofeeds created in this server. -->
- `/autofeeds create {REQ:role} {REQ:when}` <!-- Creates a autofeed. -->
- `/autofeeds silent {REQ:duration}` <!-- Creates a silent autofeed for things that you don't necessarily want to ping something for. -->
- `/autofeeds everyone {REQ:duration}` <!-- Creates an autofeed for things that you necessarily want to ping everyone for. -->
- `/autofeeds here {REQ:duration}` <!-- Creates a silent autofeed for things that you don't necessarily want to ping someone for. -->
- `/autofeeds silence {REQ:id}` <!-- Silences an existing normal autofeed so that it will not ping anyone upon announcing. -->
- `/autofeeds move {REQ:id} {REQ:channel}` <!-- Move autofeed to different channel. -->
- `/autofeeds repeat {REQ:id} {REQ:when}` <!-- Repeats autofeed to after specified duration. -->
- `/autofeeds delete {REQ:id}` <!-- Deletes an autofeed with the specified name. -->
- `/autofeeds clear` <!-- Clears all autofeeds. -->

# Command Group - automod

- `/automod server` <!-- Shows the server's current automod settings. -->
- `/automod whitelist {REQ:choice} {REQ:roles_or_channels}` <!-- Add/remove roles and/or channels to/from whitelist. -->
- `/automod media {REQ:channels}` <!-- Marks channels as 'media only' allowing only attachments and/or to be posted. -->
- `/automod unmedia {REQ:channels}` <!-- Unmarks channels as 'media only' allowing any content to be posted again. -->
- `/automod drama {OPT:channel}` <!-- Set up a drama channel for mods only. This channel should not be made public. -->
- `/automod log {OPT:}` <!-- Set the channel where automatic automod actions go. -->
- `/automod threshold {OPT:}` <!-- Sets the warning threshold to automatically punish people after receiving x number of warnings. -->
- `/automod warnpunishment {OPT:}` <!-- Sets the punishment for hitting the warning threshold. -->

# Command Group - autoresponse

- `/autoresponse server` <!-- View a brief overview of the autoresponses set up in the server. -->
- `/autoresponse list` <!-- Shows a full list of triggers set up in the server. -->
- `/autoresponse clear` <!-- Removes all triggers. -->
- `/autoresponse create {REQ:trigger} {REQ:response}` <!-- Creates a normal autoresponse trigger, checks for substring. -->
- `/autoresponse strict {REQ:trigger} {REQ:response}` <!-- Creates a 'strict' trigger, meaning the exact word has to be present somewhere in the message. -->
- `/autoresponse startswith {REQ:trigger} {REQ:response}` <!-- Triggers created with this command are only invoked when a message starts with the trigger. -->
- `/autoresponse endswith {REQ:trigger} {REQ:response}` <!-- Triggers are only invoked when a message ends with it. -->
- `/autoresponse exact {REQ:trigger} {REQ:response}` <!-- Triggers are only invoked when a message is exactly like it. -->
- `/autoresponse channel {REQ:trigger} {REQ:response}` <!-- Only works in channel where the command was used -->
- `/autoresponse remove {REQ:trigger}` <!-- Removes a trigger by name. -->
- `/autoresponse ignore {REQ:member_or_channel}` <!-- Adds one or more channels/members to be ignored by the bot. -->
- `/autoresponse unignore {REQ:member_or_channel}` <!-- Removes one or more channels/members to be ignored by the bot. -->

# Command Group - autorole

- `/autorole show` <!-- Shows a list of roles that all members get when joining. -->
- `/autorole reassign` <!-- Toggles reassigning roles on rejoining. -->
- `/autorole blacklist {REQ:roles}` <!-- Blacklists roles from being **reassigned**. -->
- `/autorole unblacklist {REQ:roles}` <!-- A whitelisted role is a role that you can assign to yourself with !role <role> -->
- `/autorole add {REQ:role}` <!-- Adds a role to be automatically assigned. -->
- `/autorole remove {REQ:role}` <!-- Removes a role from being auto assigned. -->


# Command Group - caps

- `/caps limit {OPT:}` <!-- Set caps limit for the server. -->
- `/caps punishment {OPT:punishment}` <!-- Sets the punishment(s) for hitting the rate limit. -->

# Command Group - carlbot

- `/carlbot addpremium` <!-- Mark a server as premium to avail increased limits and enable premium features. -->
- `/carlbot removepremium {OPT:guild_id}` <!-- Remove premium from a guild. -->
- `/carlbot listpremium` <!-- Shows a list of all premium activated guilds. -->
- `/carlbot vote` <!-- Sends a link to vote for the bot at discordbots.org. -->
- `/carlbot rtfm {REQ:query}` <!-- Because you have to read the __ manual. -->
- `/carlbot charinfo {REQ:characters}` <!-- Shows information about characters. Max 15 characters. -->
- `/carlbot patreon` <!-- Shows the link to the bot's patreon. -->
- `/carlbot permissions {OPT:member} {OPT:channel}` <!-- Shows a member's permissions in the channel provided. -->
- `/carlbot invite` <!-- Shows you some invite links. -->

# Command Group - censor

- `/censor server` <!-- View censor setting for server. -->
- `/censor words` <!-- Removes/Adds one or more words from the blacklist. -->
- `/censor display` <!-- Shows all the blacklisted words. -->
- `/censor clear` <!-- Removes all blacklisted words. -->
- `/censor punishment {OPT:punishment}` <!-- Sets the punishment(s) for saying a bad word. -->

# Command Group - embed

- `/embed edit {REQ:message_id} {REQ:message_string}` <!-- Edits the title and description. -->
- `/embed custom {REQ:content} {OPT:channel}` <!-- Post an embed in a specific channel based on the raw JSON Discord uses. -->
- `/embed editcustom {REQ:message_id} {REQ:content} {REQ:content} {OPT:channel}` <!-- Ecembed means edit custom embed and requires you to pass in json. -->
- `/embed source {REQ:message_id} {OPT:channel}` <!-- Fetches the json source of an embed (any embed!). -->
- `/embed create {REQ:color} {REQ:text} {OPT:channel}` <!-- Creates an embed with the specified color in the specified channel. -->

# Command Group - feeds

- `/feeds list` <!-- Shows a list of feeds created in the server. -->
- `/feeds create` <!-- Creates a feed. -->
- `/feeds announce` <!-- Announces a feed. -->
- `/feeds delete {REQ:name}` <!-- Deletes a feed. -->
- `/feeds move {REQ:name} {REQ:channel}` <!-- Moves a feed to a specific channel. -->
- `/feeds clear` <!-- Clears all feeds. -->

# Command Group - fun

- `/fun aesthetics {REQ:sentence}` <!-- ｍａｋｅｓ　ｔｅｘｔ　ｌｏｏｋ　ｌｉｋｅ　ｔｈｉｓ. -->
- `/fun pick {REQ:sentence}` <!-- Chooses a random element from the supplied choices, use a comma for multi word selects. -->
- `/fun fraktur {REQ:sentence}` <!-- 𝔪𝔞𝔨𝔢𝔰 𝔱𝔢𝔵𝔱 𝔩𝔬𝔬𝔨 𝔩𝔦𝔨𝔢 𝔱𝔥𝔦𝔰 -->
- `/fun boldfraktur {REQ:sentence}` <!-- 𝖒𝖆𝖐𝖊𝖘 𝖙𝖊𝖝𝖙 𝖑𝖔𝖔𝖐 𝖑𝖎𝖐𝖊 𝖙𝖍𝖎𝖘 -->
- `/fun fancy {REQ:sentence}` <!-- 𝓂𝒶𝓀𝑒𝓈 𝓉𝑒𝓍𝓉 𝓁𝑜𝑜𝓀 𝓁𝒾𝓀𝑒 𝓉𝒽𝒾𝓈 -->
- `/fun boldfancy {REQ:sentence}` <!-- 𝓶𝓪𝓴𝓮𝓼 𝓽𝓮𝔁𝓽 𝓵𝓸𝓸𝓴 𝓵𝓲𝓴𝓮 𝓽𝓱𝓲𝓼 -->
- `/fun double {REQ:sentence}` <!-- 𝕞𝕒𝕜𝕖𝕤 𝕥𝕖𝕩𝕥 𝕝𝕠𝕠𝕜 𝕝𝕚𝕜𝕖 𝕥𝕙𝕚𝕤 -->
- `/fun smallcaps {REQ:sentence}` <!-- ᴍᴀᴋᴇꜱ ᴛᴇxᴛ ʟᴏᴏᴋ ʟɪᴋᴇ ᴛʜɪꜱ -->
- `/fun eightball {REQ:question}` <!-- Ask Yes/No questions to seek advice. -->
- `/fun owoify {REQ:sentence}` <!-- Converts/Adds random "w" and "y" to random places. -->
- `/fun urbandictionary {REQ:query}` <!-- Looks up the definition for a word on urban dictionary. -->
- `/fun clap {REQ:sentence}` <!-- 👏 make 👏 text 👏 look 👏 like 👏 this 👏 -->
- `/fun space {REQ:word} {REQ:sentence}` <!-- Let's you pick anything you want to put in between the words. -->
- `/fun info {REQ:member}` <!-- Shows some interesting information about a member. -->
- `/fun addemoji {REQ:name} {OPT:entity} {OPT:attachment}` <!-- Add custom emoji in the guild with your desired name. -->
- `/fun coinflip` <!-- Flips a coin. -->

# Command Group - highlight

- `/highlight add {REQ:word}` <!-- Add a word to highlight. -->
- `/highlight remove {REQ:word}` <!-- Removes a specific highlighted word from you. -->
- `/highlight block {REQ:blocks}` <!-- Blocks one or more channels or members. -->
- `/highlight unblock {REQ:unblock}` <!-- Unblocks one or more channels or members. -->
- `/highlight clear` <!-- Removes all highlights from you. -->
- `/highlight show` <!-- Displays the words you have highlighted and which members and channels you're ignoring. -->
- `/highlight matches {REQ:words}` <!-- This shows which of your highlighted words will be triggered with a test sentence. -->

# Command Group - invitespam

- `/invitespam server` <!-- Shows the server's current invitespam settings. -->
- `/invitespam rate {REQ:rate}` <!-- Set invitespam settings for the server. -->
- `/invitespam punishment {OPT:punishment}` <!-- Sets the punishment(s) for hitting the rate limit. -->
- `/invitespam block` <!-- Punishes all non-whitelisted invites. -->
- `/invitespam norole` <!-- Same as setting it to 'block' except it only affects members without roles. -->
- `/invitespam clear {REQ:choice}` <!-- Clear all whitelisted/blacklisted invites. -->
- `/invitespam off` <!-- Punishes only blacklisted invites. -->
- `/invitespam blacklist {REQ:option} {REQ:links}` <!-- Blocks/Unblocks invites on a server level. -->
- `/invitespam whitelist {REQ:option} {REQ:links}` <!-- Allows/Removes invites on a server level. -->

# Command Group - level

- `/level member {OPT:member}` <!-- Shows the rank card for a member -->
- `/level mee6import` <!-- Import levels from MEE6. -->
- `/level config` <!-- Shows the server's current level config. -->
- `/level rate {OPT:rate}` <!-- Set level rate. -->
- `/level blacklist {REQ:choice} {REQ:channels_or_roles}` <!-- Blacklists/Unblacklists one or more roles or channels. -->
- `/level mod {OPT:mod}` <!-- Sets what a level has to be evenly divisible by to be announced. -->
- `/level limit {OPT:limit}` <!-- Announce levels only if they are above this limit. -->
- `/level rewardsonly` <!-- Only announce levels that grant rewards. -->
- `/level replace` <!-- Toggles between rewards being additive or replacing earlier rewards. -->
- `/level message {OPT:message}` <!-- Sets the level-up message. -->
- `/level reward {REQ:level} {OPT:role}` <!-- Adds a reward for reaching a certain level. -->
- `/level channel {OPT:destination}` <!-- Sets a channel to send level up messages to. -->
- `/level dm` <!-- Makes the bot DM the person leveling up their level up message. -->
- `/level shh` <!-- Removes the level-up message. -->
- `/level background {OPT:attachment} {OPT:link}` <!-- Sets the background of your level card. -->
- `/level reset {REQ:user_id}` <!-- Resets level for a member. -->
- `/level resetall` <!-- Resets level for everyone in the server. -->
- `/level restore` <!-- Restores level for server. -->
- `/level serverbackground {OPT:attachment} {OPT:link}` <!-- Sets the background of your level card -->
- `/level color {REQ:color}` <!-- Sets the fill color of the XP bar and the border surrounding your profile picture on your rank card. -->
- `/level accent {REQ:color}` <!-- Sets the color for text, the horizontal bar and the border surrounding the XP bar on your rank card. -->
- `/level opacity {REQ:opacity}` <!-- Sets the amount of opacity present in the transparent overlay. -->
- `/level log` <!-- Shows the last 25 events in the server. -->
- `/level leaderboard {OPT:page}` <!-- Lists your members based on their XP. -->

# Command Group - linkspam

- `/linkspam server` <!-- Shows the server's current linkspam settings. -->
- `/linkspam rate {REQ:rate}` <!-- Set linkspam settings for the server. -->
- `/linkspam punishment {OPT:punishment}` <!-- Sets the punishment(s) for hitting the rate limits. -->
- `/linkspam block` <!-- Punishes all non-whitelisted links. -->
- `/linkspam norole` <!-- Punishes only those without roles. -->
- `/linkspam clear {REQ:choice}` <!-- Clear all whitelisted/blacklisted links. -->
- `/linkspam off` <!-- Punishes only blacklisted links. -->
- `/linkspam blacklist {REQ:option} {REQ:links}` <!-- Blocks/Unblocks links on a domain level. -->
- `/linkspam whitelist {REQ:option} {REQ:links}` <!-- Allows/Removes links on a domain level. -->

# Command Group - lockdown

- `/lockdown channel {OPT:channel} {OPT:reason} {OPT:duration}` <!-- Lockdown channel. -->
- `/lockdown server {OPT:reason} {OPT:duration}` <!-- Lockdown server. -->
- `/lockdown setup` <!-- Auto sets up things required for lockdown on server. -->

# Command Group - log

- `/log config {OPT:event}` <!-- Manages the logging. This is much easier done on the website at https://carl.gg. -->
- `/log export` <!-- Generates a log code for your server settings. -->
- `/log channel {OPT:channel}` <!-- Sets the default channel where logged events go. Leave empty to clear the channel. -->
- `/log server_channel {OPT:channel}` <!-- Sets the channel where updates to the server itself are logged. -->
- `/log member_channel {OPT:channel}` <!-- Sets the channel where member events are logged. -->
- `/log voice_channel {OPT:channel}` <!-- Sets the channel where members joining/moving between/leaving voice channels are logged. -->
- `/log join_channel {OPT:channel}` <!-- Sets the channel where the bot logs members joining and leaving. -->
- `/log message_channel {OPT:channel}` <!-- Sets the channel where message events are logged. -->
- `/log import {REQ:code}` <!-- Imports some settings using log code. -->
- `/log prefix {REQ:prefix}` <!-- Ignore logging for message deletions, edits and messages within purges starting with the prefixes. -->
- `/log remove_prefix {REQ:prefix}` <!-- Unignores previously added prefixes. -->
- `/log aio` <!-- Creates a category, fills it with five channels and splits up logging into them. -->
- `/log ignore {REQ:ignore}` <!-- Ignores message events posted in the channels or by the members. -->
- `/log unignore {REQ:unignore}` <!-- Unignores the previous ignores. -->

# Command Group - members

- `/members newusers` <!-- Tells you the newest members of the server. -->
- `/members oldusers` <!-- Tells you the oldest members of the server. -->
- `/members youngest` <!-- Tells you the newest members of the server by account age. -->
- `/members oldest` <!-- Tells you the oldest members of the server by account age. -->

# Command Group - mentionspam

- `/mentionspam disable` <!-- Disable Mentionspam. -->
- `/mentionspam set {REQ:rate}` <!-- Set mentionspam settings for the server. -->
- `/mentionspam punishment {OPT:punishment}` <!-- Sets the punishment(s) for hitting the rate limit. -->

# Command Group - moderation

- `/moderation kick {REQ:member} {OPT:reason}` <!-- Kicks a member from the server. -->
- `/moderation ban {REQ:member} {OPT:days} {OPT:reason}` <!-- Bans a member from the server. -->
- `/moderation warn {REQ:member} {OPT:reason}` <!-- Warns a member. -->
- `/moderation warns {OPT:member_id}` <!-- Lists all current warnings in the server. -->
- `/moderation clearwarnings {REQ:member}` <!-- Removes all warnings from a member. -->
- `/moderation removewarning {REQ:case_id}` <!-- Removes a warning, specify using the case ID. -->
- `/moderation massban {REQ:members} {OPT:days}` <!-- Bans any number of members. -->
- `/moderation unban {REQ:member_id} {OPT:reason}` <!-- Unbans a member. -->
- `/moderation softban {REQ:member} {OPT:days} {OPT:reason}` <!-- Bans and immediately unbans a member. -->
- `/moderation mute {REQ:member} {OPT:reason} {OPT:duration}` <!-- Mutes a member for the specified duration. -->
- `/moderation unmute {REQ:member} {OPT:reason}` <!-- Unmutes a member. -->
- `/moderation timeout {REQ:member} {OPT:reason} {OPT:duration}` <!-- Timeout a member for the specified duration. -->
- `/moderation removetimeout {REQ:member} {OPT:reason}` <!-- Remove timeout from a member. -->
- `/moderation hardmute {REQ:member} {OPT:reason} {OPT:duration}` <!-- Mutes a member and strips roles. -->
- `/moderation tempban {REQ:member} {OPT:delete_days} {OPT:reason} {OPT:duration}` <!-- Bans someone for the specific duration. -->
- `/moderation setnick {REQ:member} {REQ:nickname}` <!-- Set nickname for a member. -->
- `/moderation cleanup {REQ:count}` <!-- Cleans up the bot's message from the channel. -->

# Command Group - modlog

- `/modlog from {REQ:member}` <!-- Check for modlog. -->
- `/modlog create {REQ:name}` <!-- Creates a channel and sets it as the modlog. -->
- `/modlog highscores` <!-- Ranks the moderators based on the amount of moderation actions they've taken. -->
- `/modlog set {REQ:channel}` <!-- Sets a channel to act as a "modlog" where moderation actions are sent. -->
- `/modlog clear` <!-- Stops sending modlogs, the infractions are still being logged however. -->
- `/modlog export {REQ:choices} {OPT:member}` <!-- Exports modlogs. -->
- `/modlog reason {REQ:case_id} {REQ:reason}` <!-- Supplies a reason for a modlog action. -->

# Command Group - muterole

- `/muterole set {REQ:set}` <!-- Sets the role that will be used for mute. -->
- `/muterole create {OPT:name}` <!-- Creates a new role with the specified name. -->
- `/muterole update` <!-- Updates muterole setting for server. -->

# Command Group - notes

- `/notes setnote {REQ:member} {REQ:note}` <!-- Set note for a member. -->
- `/notes view {REQ:member}` <!-- View note from a member. -->
- `/notes clearnotes {REQ:member}` <!-- Clear note for a member. -->
- `/notes removenote {REQ:note_id}` <!-- Remove note using note ID. -->

# Command Group - prefix

- `/prefix list` <!-- List the currently set prefixes. -->
- `/prefix set {REQ:prefix}` <!-- Replaces all custom prefixes set to the specified prefix (Mentions still work of course). -->
- `/prefix add {REQ:prefix}` <!-- Adds a prefix. Servers can have 15 prefixes and it is of course server specific. -->
- `/prefix remove {REQ:prefix}` <!-- Remove a prefix from the server. -->
- `/prefix clear` <!-- Removes all prefixes, Use /prefix set to add new prefix. -->

# Command Group - purge

- `/purge embeds {REQ:count}` <!-- Removes messages that have embeds in then. -->
- `/purge files {REQ:count}` <!-- Removes messages that have attachments in them. -->
- `/purge images {REQ:count}` <!-- Removes messages that have images in them. -->
- `/purge all {REQ:count}` <!-- Removes all messages. -->
- `/purge user {REQ:member} {OPT:search}` <!-- Remove all messages from a user. -->
- `/purge contains {REQ:substring} {OPT:search}` <!-- Removes all messages containing a substring. -->
- `/purge links {REQ:count}` <!-- Removes all messages that have links. -->
- `/purge mentions {REQ:count}` <!-- Removes all messages that have mentions. -->
- `/purge bot {REQ:search} {OPT:prefix}` <!-- Removes a bot user's messages and messages with their optional prefix. -->
- `/purge human {OPT:count}` <!-- Removes all non-bot messages. -->
- `/purge emoji {OPT:count}` <!-- Removes all messages containing custom emoji. -->
- `/purge reactions {OPT:count}` <!-- Removes all reactions from messages that have them. -->

# Command Group - rank

- `/rank custom {REQ:roles}` <!-- Adds/removes multiple roles for the user. Requires the role to be on the list of authorized ranks. -->
- `/rank addrank {REQ:roles}` <!-- Adds a role to the list of whitelisted roles. -->
- `/rank removerank {REQ:roles}` <!-- Removes a role from the list of whitelisted roles. -->
- `/rank allranks` <!-- Display the whitelisted roles. -->

# Command Group - reactionrole

- `/reactionrole add {REQ:message_id} {REQ:emoji} {REQ:role} {OPT:channel}` <!-- Adds emoji-role pair to a message through its ID. -->
- `/reactionrole normal {REQ:message_id}` <!-- Marks a message as normal, removing any weird special cases. -->
- `/reactionrole limit {REQ:message_id} {REQ:limit}` <!-- Limits the number of roles you can pick from one message at once. -->
- `/reactionrole temp {REQ:message_id} {REQ:duration}` <!-- Marks message as 'temp' making roles picked only last temporarily. -->
- `/reactionrole link {REQ:message_ids}` <!-- Only one from either message can be self-assigned. -->
- `/reactionrole unlink {REQ:message_id}` <!-- This breaks apart the entire group created by rr link. -->
- `/reactionrole addmany {REQ:message_id} {REQ:emoji_role_pair} {OPT:channel}` <!-- Adds more than one role at a time. -->
- `/reactionrole show {OPT:message_id}` <!-- Shows emoji-role pairs. -->
- `/reactionrole purge {OPT:message_id}` <!-- Clears all reaction roles. -->
- `/reactionrole channel {OPT:message_id}` <!-- Creates a channel with the permissions required for a reaction role channel. -->
- `/reactionrole edit {REQ:message_id} {REQ:message_string}` <!-- Edits the title and description. -->
- `/reactionrole color {REQ:message_id} {REQ:color} {OPT:channel}` <!-- Sets accent color for specified bot message. -->
- `/reactionrole move {REQ:base_id} {REQ:target_id} {OPT:channel}` <!-- Moves reaction roles from one message to another (Input base, target then channel [opt] with space.) -->
- `/reactionrole fix` <!-- Accidentally (or intentionally) cleared all reactions? This command will add the reactions missing. -->
- `/reactionrole fixforeign {REQ:message_id} {OPT:channel}` <!-- Bot react to emojis the bot doesn't have access to (Input channel [opt] then MsgId with space). -->
- `/reactionrole maxroles {REQ:message_id} {OPT:roles_and_limits}` <!-- Limits the number of roles that can be assigned. -->
- `/reactionrole modify {REQ:choice} {REQ:message_id}` <!-- Show reaction role modify related commands. -->
- `/reactionrole aio {REQ:type} {REQ:color} {REQ:text} {REQ:emoji_role_pair} {OPT:channel}` <!-- React Role All In One (Note- verify and inverse take only one emoji-role pair). -->
- `/reactionrole blacklist {REQ:choice} {OPT:message_id} {OPT:roles}` <!-- Blacklist, unblacklist or clear blacklist. -->
- `/reactionrole whitelist {REQ:choice} {OPT:message_id} {OPT:roles}` <!-- Whitelist, unwhitelist or clear whitelist. -->
- `/reactionrole setup` <!-- Interactive setup to add reaction roles. -->
- `/reactionrole selfdestruct {REQ:message_id} {REQ:when}` <!-- Deletes a reaction role message after x time. -->

# Command Group - reminder

- `/reminder remindme {REQ:about} {REQ:when}` <!-- Reminds you of something after a certain amount of time. -->
- `/reminder repeat {REQ:rm_id} {OPT:duration}` <!-- Marks a timer to be repeated after it's finished. -->
- `/reminder clear` <!-- Removes ALL your reminders in the server or EVERY SINGLE ONE if used in PMs. -->
- `/reminder incursion {REQ:region}` <!-- Be reminded of the next wow invasion. -->
- `/reminder mine` <!-- List your reminders with some information about them. -->
- `/reminder cancel {REQ:id}` <!-- Cancels one of your timers. -->
- `/reminder subscribe {REQ:reminder_id}` <!-- Creates a copy of a reminder. -->
- `/reminder when {REQ:reminder_id}` <!-- Shows when a timer in the server is set to finish. -->

# Command Group - role

- `/role allroles` <!-- Displays all roles and their ID. -->
- `/role create {REQ:name} {OPT:color} {OPT:mentionable} {OPT:hoist}` <!-- Creates a role. -->
- `/role removeall {REQ:member}` <!-- Removes all roles from the specific member. -->
- `/role custom {REQ:member_and_roles}` <!-- Add and remove multiple roles in a single command. -->
- `/role add {REQ:user} {REQ:role}` <!-- Adds a role to the specific member. -->
- `/role remove {REQ:user} {REQ:role}` <!-- Removes a role from a specified member. -->
- `/role color {REQ:role} {REQ:color}` <!-- Changes the color of a role. -->
- `/role in {REQ:base_role} {REQ:new_role}` <!-- Adds a role to all members currently in a role. -->
- `/role removein {REQ:base_role} {REQ:new_role}` <!-- Removes a role from all members currently in a role. -->
- `/role info {REQ:role}` <!-- Check info for a role. -->
- `/role humans {REQ:role}` <!-- Adds a role to all humans (non bots). -->
- `/role all {REQ:role}` <!-- Adds a role to all members. -->
- `/role removehumans {REQ:role}` <!-- Removes a role from all humans. -->
- `/role removebots {REQ:role}` <!-- Removes a role from all bots. -->
- `/role rall {REQ:role}` <!-- Removes a role from all members. -->
- `/role diagnose {REQ:role}` <!-- Diagnose a role. -->

# Command Group - slowmode

- `/slowmode disable` <!-- Disable slowmode. -->
- `/slowmode set {REQ:rate}` <!-- Slowmode sets message limit for the server. -->
- `/slowmode punishment {OPT:punishment}` <!-- Sets the punishment(s) for hitting the rate limit. -->

# Command - stars

- `/stars setup {OPT:channel}` <!-- Setup starboard. Use without options to auto-setup. -->
- `/stars star {OPT:member}` <!-- View starboard details for a member. -->
- `/stars stats {OPT:member}` <!-- Displays member's stats related to the starboard. -->
- `/stars random` <!-- Shows a random starred message. -->
- `/stars server` <!-- Display stats about the server's starboard. -->
- `/stars show {REQ:message_id}` <!-- Shows a starred message via its ID. -->
- `/stars limit {REQ:limit}` <!-- Changes the number of stars required for messages to show up in the starboard. -->
- `/stars nsfw` <!-- With this disabled, images from messages starred in nsfw channels will not be embedded. -->
- `/stars lock` <!-- Locks the starboard, making it completely uninteractive. -->
- `/stars autostar` <!-- Automatically stars new starboard entries, premium only. -->
- `/stars blacklist {REQ:channels}` <!-- Blocks channels from having their messages starred. -->
- `/stars unblacklist {REQ:channels}` <!-- Removes previously blacklisted channels. -->
- `/stars jump` <!-- With this enabled, starboard entries will have an extra field with a link to the source message. -->
- `/stars self` <!-- Toggles the ability to star your own posts. -->
- `/stars config` <!-- View Starboard configuration for server. -->

# Command Group - suggestion

- `/suggestion approve {REQ:suggestionid} {OPT:reason}` <!-- Marks a suggestion as approved. -->
- `/suggestion consider {REQ:suggestionid} {OPT:reason}` <!-- Marks a suggestion as being considered. -->
- `/suggestion deny {REQ:suggestionid} {OPT:reason}` <!-- Denies a suggestion. -->
- `/suggestion implemented {REQ:suggestionid} {OPT:reason}` <!-- Marks a suggestion as implemented. -->
- `/suggestion suggest {REQ:content}` <!-- Creates a suggestion -->
- `/suggestion server` <!-- Displays the server's current suggestion config. -->
- `/suggestion channel {OPT:channel}` <!-- Enter the channel that you want to make suggestion channel. -->
- `/suggestion submit {OPT:channel}` <!-- Enter the channel that you want to make submission channel. -->
- `/suggestion who {REQ:suggestion_id` <!-- Shows who suggested something (Useful for anonymous servers). -->
- `/suggestion move {OPT:channel}` <!-- Enter the channel for setting a secondary channel to announce the suggestions. -->
- `/suggestion limit {REQ:limit}` <!-- Marks the suggestion with shades of Green/Red based on difference in upvotes and downvotes. -->
- `/suggestion dm` <!-- Toggles between seting the person who suggested something upon a moderator deciding on it. -->
- `/suggestion anonymous` <!-- Anonymous suggestions are what they sound like, DMs still work. -->
- `/suggestion edit` <!-- Changes the behaviour of suggestions that have been judged by a moderator. -->

# Command Group - tag

- `/tag claim {REQ:name}` <!-- Claims an unclaimed tag (belongs to someone who has left server). -->
- `/tag modonly {REQ:status}` <!-- With this enabled, only mods can manage tags, non-mods can still use them. -->
- `/tag ownership {REQ:status}` <!-- Marks the tag as 'owned'. Only Mods and tag owner can edit, append or delete these tags. -->
- `/tag procreate {REQ:name} {REQ:content}` <!-- Should used for creating tags whose length is >2000 characters. Content is a pastebin link. -->
- `/tag nsfw {REQ:name}` <!-- Marks a tag as "NSFW", rendering it unusable outside of NSFW channels. -->
- `/tag restrict {REQ:name}` <!-- Marks a tag as restricted. Restricted tag's output will be posted to bot channel. -->
- `/tag alias {REQ:point} {REQ:name}` <!-- Creates an alias to an already existing tag. -->
- `/tag create {REQ:name} {REQ:content}` <!-- Creates a tag/custom command, commands can then be used with just the prefix. -->
- `/tag edit {REQ:name} {REQ:content}` <!-- Edits an existing tag and skips the confirmation prompt. -->
- `/tag replace {REQ:name} {REQ:from_text} {REQ:to_text}` <!-- Replaces the content in an existing tag. Skips the confirmation prompt. -->
- `/tag append {REQ:name} {REQ:content}` <!-- Appends something to an already existing tag (separated by a newline). -->
- `/tag stats {OPT:member}` <!-- Gives tag statistics for a member of the server. -->
- `/tag remove {REQ:name}` <!-- Deletes a tag including its aliases. -->
- `/tag info {REQ:name}` <!-- Retrives info about a tag. -->
- `/tag raw {REQ:name}` <!-- Returns a tag without any formatting, bold text becomes **bold**. -->
- `/tag share {REQ:name}` <!-- Generates a link to share the desired tag. -->
- `/tag list {OPT:member}` <!-- Shows you the names of all tags. -->
- `/tag unshare {REQ:name}` <!-- Unshares an already shared tag. The shared link will expire (actual tag will not be deleted). -->
- `/tag unshare_all` <!-- Unshares all shared tags of this server. All shared links will expire (tags will not be deleted). -->

# Command Group - temprole

- `/temprole add {REQ:member} {REQ:duration_and_role}` <!-- Adds a role to a member and removes it after the duration. -->
- `/temprole custom {REQ:member} {REQ:time_and_roles}` <!-- Adds a temporary custom role. -->

# Command Group - timedrole

- `/timedrole show` <!-- Shows a list of timed roles assigned upon joining. -->
- `/timedrole add {REQ:time} {REQ:role}` <!-- Adds a timed role. -->
- `/timedrole remove {REQ:role}` <!-- Deletes a timed role. -->

# Command Group - Twitch

- `/twitch list` <!-- List Twitch subscriptions for the server. -->
- `/twitch move {REQ:name} {REQ:channel}` <!-- Move Twitch subscription to other Discord channel. -->
- `/twitch format {REQ:name} {REQ:format}` <!-- Updates notification message. -->
- `/twitch remove {REQ:name}` <!-- Remove Twitch subscription channel. -->
- `/twitch add {REQ:name} {OPT:channel} {OPT:format}` <!-- Subscribe to Twitch channel. -->
- `/twitch online` <!-- Lists Twitch live streams for the server. -->

# Command Group - unlockdown

- `/unlockdown channel {OPT:channel}` <!-- Unlockdown channel. -->
- `/unlockdown server` <!-- Unlockdown server. -->

# Command Group - youtube_alerts

- `/youtube_alerts add {REQ:name} {OPT:channel} {OPT:format}` <!-- Subscribe to YouTube channel. -->
- `/youtube_alerts remove {REQ:name}` <!-- Remove YouTube subscription channel. -->
- `/youtube_alerts move {REQ:name} {REQ:channel}` <!-- Move subscription to other channel. -->
- `/youtube_alerts list` <!-- List YouTube subscription for the server. -->
- `/youtube_alerts format {REQ:name} {REQ:format}` <!-- Updates notification message. -->